Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.utils
Class BambooTestUtils

    java.lang.Object
      com.atlassian.bamboo.utils.BambooTestUtils

    public class BambooTestUtils

extends Object

This class provides a collection of utility methods for use in the unit tests

Field Summary
`static String` | `NL` Convenience constant for new line
`static String` | `SEP` Convenice constant for file separators

Method Summary
`static void` | `assertCollectionContains(String message, Collection collection, Object value)` Ensures the value is contained in the collection.
`static void` | `assertFormError(ErrorCollection errorCollection, String field, String errorMessage)`
`static InputStream` | `getInputStream(String fileName)` Obtains the given fileName as an input stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NL

    public static final String NL

  Convenience constant for new line

### SEP

    public static final String SEP

  Convenice constant for file separators

Method Detail

### getInputStream

    public static InputStream getInputStream(String fileName)

  Obtains the given fileName as an input stream. Assumes the file is located in the test source tree,

  Parameters:
    `fileName` - The file to read as a stream
  Returns:
    The stream

### assertCollectionContains

    public static void assertCollectionContains(String message,
                                                Collection collection,
                                                Object value)

  Ensures the value is contained in the collection.

  Parameters:
    `message` - The message to display if the collection does not contain the value
    `collection` - The collection we are searching
    `value` - The value we are looking for in the collection

### assertFormError

    public static void assertFormError(ErrorCollection errorCollection,
                                       String field,
                                       String errorMessage)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.